#!/bin/bash

# Makes a latitude set for each "constellation"
LC_ALL="C"

Ye=2022

cd constell

#for C in Ori CMa Leo Crux Her Sco Sgr Cyg Gru Peg
for C in Ori CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg 


do

 if [ ! -d $C ]
 then
  mkdir $C
 fi 
 cd $C

 echo $C
 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do
  echo $L
  num=1

#  for D in Jan15 Feb13 Mar15 Apr13 May13 Jun12 Jul11 Aug09 Sep07 Oct07 Nov06 Dec06

for MoDa in \
01-01 \
01-28 \
02-26 \
03-27 \
04-26 \
05-25 \
06-23 \
07-23 \
08-22 \
09-21 \
10-21 \
11-20 \
12-19

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

   if [ -f ../../$MoNDa/$C/$L.pdf ] 
   then
    echo $num
    ln -sf ../../$MoNDa/$C/$L.pdf $num.pdf
    num=$[$num+1]
   fi
  done 

  pdftk ?.pdf \
   cat output ${C}${L}.pdf

  rm  ?.pdf 
  
 done

 cd ..
 
done

cd ..
 
