# Assembling all all-sky maps for a given latitude to a single pdf
#  The dates have been written manually, it might be nice to produce them 
#  by adapting the allsky.sh script

LC_ALL="C"

Ye=2022

mkdir latitudes

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}A
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 

for MoDa in \
01-01 \
01-28 \
02-26 \
03-27 \
04-26 \
05-25 \
06-23 \
07-23 \
08-22 \
09-21 \
10-21 \
11-20 \
12-19


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
#echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
#echo ${MoNDa}*.pdf \\ >>MonDa.txt

  
    if [ -f ../../$MoNDa/A/$LA.pdf ] 
    then
    ln -s ../../$MoNDa/A/$LA.pdf  ${MoNDa}${LA}.pdf 
    fi
done
  
   pdftk \
Jan01${LA}.pdf \
Jan28${LA}.pdf \
Feb26${LA}.pdf \
Mar27${LA}.pdf \
Apr26${LA}.pdf \
May25${LA}.pdf \
Jun23${LA}.pdf \
Jul23${LA}.pdf \
Aug22${LA}.pdf \
Sep21${LA}.pdf \
Oct21${LA}.pdf \
Nov20${LA}.pdf \
Dec19${LA}.pdf \
cat output ${LA}.pdf

    rm \
Jan01${LA}.pdf \
Jan28${LA}.pdf \
Feb26${LA}.pdf \
Mar27${LA}.pdf \
Apr26${LA}.pdf \
May25${LA}.pdf \
Jun23${LA}.pdf \
Jul23${LA}.pdf \
Aug22${LA}.pdf \
Sep21${LA}.pdf \
Oct21${LA}.pdf \
Nov20${LA}.pdf \
Dec19${LA}.pdf \

  cd ..

 done

cd ..
